Bug 140975 - top corrupts screen when sorting on first column
Summary: top corrupts screen when sorting on first column
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL: http://www.greenkey.net/~curtis/rpm/s...
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-11-27 08:44 UTC by Curtis Doty
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-05 10:19:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Curtis Doty 2004-11-27 08:44:36 UTC
With sort column highlighting on when you sort by the first column the
ansi escape char is chopped off instead of the leading space in the
format string. This corupts the display.

This problem was introduced upstream in v3.2.2 with the windowing
feature. And it still persists without my little kludge patch on the
url above.

Comment 1 Karel Zak 2004-11-29 11:29:49 UTC
Can you step by step describe your problem (after "top" start what do
you press, ... etc.)? For me it seem right.

Comment 2 Curtis Doty 2004-11-29 11:45:05 UTC
Start top from a linux console or xterm. Turn on 'z' color mode and
'x' highlight sort column. Move sort column '<' left until you are
sorting on the first column. Bango!

Comment 3 Karel Zak 2004-11-29 12:47:51 UTC
Thanks. Now it seems like real and useful bug report:-) 

It will be fixed in FC4.

Comment 4 Curtis Doty 2007-02-04 23:24:20 UTC
This bug was never fixed and still persists today. :-(

And just for reference, my ancient patch
http://www.GreenKey.net/~curtis/rpm/src/SPECPATCH/procps-3.2.3/top-col1sort.patch.html
still appears to work.

Comment 5 Karel Zak 2007-02-05 10:19:43 UTC
Thanks. Fixed. Update to procps-3.2.7-8.2.fc6 or procps-3.2.7-10 (devel).

Comment 6 Fedora Update System 2007-02-05 17:09:26 UTC
procps-3.2.7-8.2.fc6 has been pushed for fc6, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.